# ContextSafelyExceptionHandler

class ContextSafelyExceptionHandler (val handler: ExceptionHandler < Unit >) : CoroutineContext.Element (source)

ExceptionHandler wrapper which was created to make possible to use handler across all coroutines calls

#### See also

safelyWithContextExceptionHandler
ContextSafelyExceptionHandlerKey

## Constructors

ContextSafelyExceptionHandler
Link copied to clipboard
constructor(handler: ExceptionHandler < Unit >)

## Properties

handler
Link copied to clipboard
val handler : ExceptionHandler < Unit >
key
Link copied to clipboard
open override val key : CoroutineContext.Key <*>

## Functions

fold
Link copied to clipboard
open override fun < R > fold (initial: R , operation: ( R , CoroutineContext.Element ) -> R ): R
get
Link copied to clipboard
open operator override fun < E : CoroutineContext.Element > get (key: CoroutineContext.Key < E >): E ?
LinkedSupervisorJob
Link copied to clipboard
fun CoroutineContext . LinkedSupervisorJob (additionalContext: CoroutineContext ? = null): CoroutineContext

Creates a SupervisorJob linked to this CoroutineContext's job. The new supervisor job will be a child of the current job, and optionally combined with additionalContext.

LinkedSupervisorScope
Link copied to clipboard
fun CoroutineContext . LinkedSupervisorScope (additionalContext: CoroutineContext ? = null): CoroutineScope

Creates a new CoroutineScope with a SupervisorJob linked to this CoroutineContext's job. The new scope's supervisor job will be a child of the current job, and optionally combined with additionalContext.

minusKey
Link copied to clipboard
open override fun minusKey (key: CoroutineContext.Key <*>): CoroutineContext
plus
Link copied to clipboard
open operator fun plus (context: CoroutineContext ): CoroutineContext